<meta  charset="utf-8" />
<h2>超级管理员配置文件修复工具</h2><br>
<br>
使用前请仔细检查以下项目<br>
1.您是否由于误操作(添加管理员页面)导致网站无法配置管理员，甚至是整个网站无法正常打开？<br>
2.您确定对管理员配置文件自行修改出现错误无法恢复？<br>
3.您是否咨询心挂Q相关客服人员？<br>
<br>
<br>
<br>
<?php
$path=dirname(dirname(__FILE__));
include $path.'/config.inc.php';
include $path.'/libs/iqqol_global.php';
$sppass=iqqol_member::sp_auth($_POST['sppass']);
if(isset($_POST['recovery'])){
if($sppass==IQQOL_SPPASS){
$fp=fopen($path."/admin/members/super_user.php",'w+');
        $write=fwrite($fp,stripslashes('<?php //切勿删掉本行
$sp_user = array();
//请在该注释下方添加管理员！
//格式: $sp_user[管理员账号] = "管理员密码";
//实例: $sp_user[admin] = "iloveiqqol";    即代表管理员账号:admin 密码:iloveiqqol 
//添加管理员需换行，每个管理员换行一次！请按php代码格式填入，警告：结尾必须带有";"分号！'));
echo '修复成功！<a href="'.IQQOL_ROOT.'/index.php">返回首页</a>';
}
else {
echo '密码错！<a href="'.IQQOL_ROOT.'/debug/super_user.php">返回</a>';
}
}
else {
    echo "<form action='".IQQOL_ROOT."/debug/super_user.php' method='post' ><br>请输入创始人密码:<input type='password' name='sppass' value=''><br><input type='submit' name='recovery' value='修复'></form>";
}
?>